Wine 1.7.3 no Debian Wheezy


E mais uma vez veremos a compilação do Wine no Debian, dessa vez a versão 1.7.3.

Dependências.

# apt-get update
# apt-get install bison build-essential bzip2 ccache checkinstall flex gcc gettext libasound2-dev libaudio-dev libc6-dev libcapi20-3 libcapi20-dev libcups2-dev libdbus-1-dev libelfg0 libexif-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libgcrypt11-dev libgif-dev libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev libgnutls-dev libgpg-error-dev libgphoto2-2-dev libgsm1-dev libgstreamer-plugins-base0.10-dev libgstreamer0.10-dev libhal-dev libice-dev libieee1284-3-dev libjpeg8-dev liblcms1-dev libldap2-dev libmad0 libmad0-dev libmng-dev libmpg123-dev libncurses5-dev libogg-dev libopenal-dev libopenal1 libosmesa6-dev libpng12-dev libpopt-dev libsamplerate0-dev libsane-dev libsm-dev libssl-dev libtasn1-3-dev libtiff4-dev libtiffxx0c2 libusb-dev libv4l-dev libvorbis-dev libvorbisfile3 libx11-dev libxau-dev libxcomposite-dev libxcursor-dev libxdmcp-dev libxext-dev libxfixes-dev libxft-dev libxi-dev libxinerama-dev libxml2-dev libxmu-dev libxmu-headers libxrandr-dev libxrender-dev libxslt1-dev libxt-dev libxv-dev libxxf86vm-dev linux-libc-dev m4 make mesa-common-dev ocl-icd-libopencl1 opencl-headers oss4-dev prelink x11proto-composite-dev x11proto-core-dev x11proto-fixes-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-video-dev x11proto-xext-dev x11proto-xf86vidmode-dev x11proto-xinerama-dev xtrans-dev zlib1g-dev

* se usa placas Nvidia, acrescente o pacote: libgl1-nvidia-glx.

Download e Compilação.

Baixe o source do programa em:

$ wget http://mirrors.ibiblio.org/wine/source/1.7/wine-1.7.3.tar.bz2

Descompacte:

$ tar -jxvf wine-1.7.3.tar.bz2

Entre no diretório:

$ cd wine-1.7.3

Configure:

$ ./configure

Compile:

$ make

E instale:

$ sudo make install

Ou crie um .deb com o checkinstall:

$ sudo checkinstall -D --install=no

E instale-o com o DPKG:

$ sudo dpkg -i wine_1.7.3-1_i386.deb 
$ sudo apt-get -f install

Este slideshow necessita de JavaScript.

Gecko e Mono.

Em seguida devemos criar duas novas pastas para componentes essenciais desta aplicação, os pacotes wine-mono-0.0.4.msi e o wine_gecko-1.7-x86.msi, baixe-os de:

http://ufpr.dl.sourceforge.net/project/wine/Wine%20Mono/0.0.4/

http://ufpr.dl.sourceforge.net/project/wine/Wine%20Gecko/1.7/

$ sudo mkdir -p /usr/share/wine/gecko
$ sudo mkdir -p /usr/share/wine/mono

A seguir, mova ou copie os 2 pacotes baixados para as respectivas pastas:

$ sudo mv wine_gecko-1.7-x86.msi /usr/share/wine/gecko/
$ sudo mv wine-mono-0.0.4.msi /usr/share/wine/mono/

E pronto, agora basta abrir o winecfg:

$ winecfg

Download.

Aos interessados segue o link para download do pacote i686 desta evrsão do Wine:

https://www.dropbox.com/s/tv2koiv8szwfwwr/wine_1.7.3-1_i386.deb

hasta la vista!

Anúncios
Wine 1.7.3 no Debian Wheezy

8 comentários sobre “Wine 1.7.3 no Debian Wheezy

  1. jumesyn disse:

    sabes como resolver esse tipo de problema?:
    Os pacotes a seguir têm dependências desencontradas:
    libxslt1-dev : Depende: libxslt1.1 (= 1.1.26-14.1) mas 1.1.28-2 está para ser instalado

    Curtir

    1. edps disse:

      Meu amigo não vai adiantar eu tentar adivinhar nada, crie um post no VOL que se eu ver eu respondo.

      Primeiro porque não existe erros de dependência em pacotes da árvore oficial do Debian, mas quando se tenta instalar algum pacote externo, tipo baixando da Net, pode ocorrer de a dependência do mesmo não existir na release do Debian utilizada por você, mas pode ser que exista numa versão acima (Testing ou Unstable).

      Curtir

  2. jumesyn disse:

    ahhh e o eterno erro do:

    configure: error: X 32-bit development files not found. Wine will be built
    without X support, which probably isn’t what you want. You will need
    to install 32-bit development packages of Xlib/Xfree86 at the very least.
    Use the –without-x option if you really want this.

    as vezes eu fico pensando se eu fizesse como você edps, só usar S.O. 32 bits com -pae para resolver esse problema…

    Curtir

    1. edps disse:

      Visto a lista de dependências? você terá que instalar todos os pacotes com o sufixo :i386:

      # apt-get install bison:i386 build-essential:i386 bzip2:i386 ccache:i386 checkinstall:i386 flex:i386 gcc:i386 …

      entendeu? então adicione :i386 ao final de cada pacote da lista e acrescente os pacotes ia32-libs-i386 e ia32-libs-gtk-i386

      Curtir

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s